UpdateSchedule (install4j API)
Description: declaration: package: com.install4j.api.update, enum: UpdateSchedule

Package com.install4j.api.update

# Enum Class UpdateSchedule

java.lang.Object
java.lang.Enum<UpdateSchedule>
com.install4j.api.update.UpdateSchedule

All Implemented Interfaces:
  `Serializable`, `Comparable<UpdateSchedule>`, `Constable`

public enum UpdateSchedule extends Enum<UpdateSchedule>
Enumeration class that represents the different update schedules. These values are used in the `UpdateScheduleRegistry` class.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAILY`
  `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one day has passed since the last update
  `MONTHLY`
  `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one month has passed since the last update
  `NEVER`
  `UpdateScheduleRegistry.checkAndReset()` always returns false
  `ON_EVERY_START`
  `UpdateScheduleRegistry.checkAndReset()` always returns true
  `WEEKLY`
  `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one week has passed since the last update

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final UpdateSchedule[]`
  `ALL_VALUES`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UpdateSchedule`
  `getById(String id)`
  Returns the `UpdateSchedule` for a string ID.
  `String`
  `getId()`
  Returns the string ID for the `UpdateSchedule`.
  `String`
  `toString()`
  `static UpdateSchedule`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UpdateSchedule[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ON_EVERY_START

    public static final UpdateSchedule ON_EVERY_START
    `UpdateScheduleRegistry.checkAndReset()` always returns true

  - ### DAILY

    public static final UpdateSchedule DAILY
    `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one day has passed since the last update

  - ### WEEKLY

    public static final UpdateSchedule WEEKLY
    `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one week has passed since the last update

  - ### MONTHLY

    public static final UpdateSchedule MONTHLY
    `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one month has passed since the last update

  - ### NEVER

    public static final UpdateSchedule NEVER
    `UpdateScheduleRegistry.checkAndReset()` always returns false

- ## Field Details

  - ### ALL_VALUES

    @Deprecated public static final UpdateSchedule[] ALL_VALUES
    Deprecated.
    All values of `UpdateSchedule` for use in a drop-down list.

    Not needed since this class became an enum in install4j 6.

- ## Method Details

  - ### values

    public static UpdateSchedule[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UpdateSchedule valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getById

    public static UpdateSchedule getById(String id)
    Returns the `UpdateSchedule` for a string ID. String IDs for `UpdateSchedule`s are returned by `getId()`}.
    Parameters:
      `id` - the ID
    Returns:
      the `UpdateSchedule` or null if the ID is invalid

  - ### getId

    public String getId()
    Returns the string ID for the `UpdateSchedule`. This string value can be saved and restored later with the `getById(String)`} method.
    Returns:
      the ID

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<UpdateSchedule>`